Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Interface FieldActivator

All Known Implementing Classes:
  XMLSchemaValidator

    public interface FieldActivator

Interface for a field activator. The field activator is responsible for activating fields within a specific scope; the caller merely requests the fields to be activated.

Version:
  $Id: FieldActivator.java 446732 2006-09-15 20:47:34Z mrglavas $
Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`XPathMatcher` | `activateField(Field field, int initialDepth)` Request to activate the specified field.
`void` | `endValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Ends the value scope for the specified identity constraint.
`java.lang.Boolean` | `mayMatch(Field field)` Returns whether the given field is permitted to match a value.
`void` | `setMayMatch(Field field, java.lang.Boolean state)` Sets whether the given field is permitted to match a value.
`void` | `startValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Start the value scope for the specified identity constraint.

Method Detail

### startValueScopeFor

    void startValueScopeFor(IdentityConstraint identityConstraint,
                            int initialDepth)

  Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.

  Parameters:
    `identityConstraint` - The identity constraint.
    `initialDepth` - the depth at which the selector began matching

### activateField

    XPathMatcher activateField(Field field,
                               int initialDepth)

  Request to activate the specified field. This method returns the matcher for the field. It's also important for the implementor to ensure that it marks whether a Field is permitted to match a value--that is, to call the setMayMatch(Field, Boolean) method.

  Parameters:
    `field` - The field to activate.
    `initialDepth` - the 0-indexed depth in the instance document at which the Selector began to match.

### setMayMatch

    void setMayMatch(Field field,
                     java.lang.Boolean state)

  Sets whether the given field is permitted to match a value. This should be used to catch instance documents that try and match a field several times in the same scope.

  Parameters:
    `field` - The field that may be permitted to be matched.
    `state` - Boolean indiciating whether the field may be matched.

### mayMatch

    java.lang.Boolean mayMatch(Field field)

  Returns whether the given field is permitted to match a value.

  Parameters:
    `field` - The field that may be permitted to be matched.
  Returns:
    Boolean indicating whether the field may be matched.

### endValueScopeFor

    void endValueScopeFor(IdentityConstraint identityConstraint,
                          int initialDepth)

  Ends the value scope for the specified identity constraint.

  Parameters:
    `identityConstraint` - The identity constraint.
    `initialDepth` - the 0-indexed depth where the Selector began to match.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.